package com.pms.ocp.service;

import com.pms.ocp.model.entity.ModelNote;

import java.util.List;

/**
 * @Auther: wangjian
 * @Date: 2022/2/22 16:08
 * @Description:模型事记业务层接口
 */

public interface ModelNoteService {

    /**
     * 创建模型事记
     *
     * @param modelNote
     * @return
     */
    Integer createModelNote(ModelNote modelNote);

    /**
     * 删除模型事记
     *
     * @param modelId
     * @return
     */
    Integer deleteModelNote(String modelId);

    /**
     * 更新模型事记
     *
     * @param modelNote
     * @return
     */
    Integer updateModelNote(ModelNote modelNote);

    /**
     * 获取模型事记
     *
     * @param
     * @return
     */
    List<ModelNote> getModelNoteList(String modelCode);

    /**
     * 获取模型事记列表
     *
     * @param modelId
     * @return
     */
    ModelNote getModelNote(String modelId);
}
